Compact session
Summarize the existing conversation to reduce the context used by subsequent prompts. Laminar-runtime sessions do not support this operation and return 409.
Base URL
POST
Summarize the existing conversation to reduce the context used by subsequent prompts. Laminar-runtime sessions do not support this operation and return 409.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
session_id*stringThe unique identifier of the session
Session compacted successfully
application/json- response
data*curl -X POST 'https://your-org.inspect.com/api/public/v1/sessions/string/compact'Example Response
{ "data": { "ok": true }}